ARG CACHE_IMAGE
FROM ${CACHE_IMAGE} as cache
MAINTAINER informatique@agepoly.ch

RUN stack --version

FROM haskell
MAINTAINER informatique@agepoly.ch

COPY --from=cache /root/.stack /root/.stack
COPY scripts/silhouette/ /silhouette

WORKDIR /silhouette

RUN stack install --install-ghc 

RUN silhouette --help
